ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011481ClearOSapp-mail-routing - Mail Routingpublic2016-12-08 10:562019-02-23 20:07
Reporteruser2 
Assigned Todloper 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version8.0.0 Beta 1Fixed in Version7.3.0 Beta 1 
Summary0011481: Add duplicate check for mail forwarders
DescriptionScenario: the user "test" has a mail forwarder configured with "test.guy@example.com".

When the "content_filter" line in master.cf is disabled, Postfix will send a single message to both "test" and "test.guy@example.com". That's the expected behavior. However, when the "content_filter" line in master.cf is enabled and LDAP is used for aliases/forwarders, Postfix will send two separate messages to the specified content_filter:

Message 1-- destined to "test.guy@example.com"
Message 2 -- destined to both "test" and "test.guy@example.com"

The first message is a redundant. Perhaps there's a magic configuration parameter to disable this behavior? That would be best. In the meantime, we can add a duplicate check in the mail routing engine (mailprefilter/Filter.php).
TagsNo tags attached.
Attached Files

- Relationships
related to 0001912acknowledged Mail redirect to external domain 
related to 0011421closeduser2 Add server-side mail forwarding support 
related to 0011431closeduser2 Add server-side mail forwarding support in extension 

-  Notes
(0004481)
user2
2016-12-22 09:00

Duplicate check needs to be disabled for remote forwarding (i.e. domains in the transport table).
(0009991)
dloper (administrator)
2019-02-23 20:07

Migrated to: https://gitlab.com/clearos/feature-requests/issues/16 [^]

- Issue History
Date Modified Username Field Change
2016-12-08 10:56 user2 New Issue
2016-12-08 11:31 user2 Description Updated View Revisions
2016-12-08 11:31 user2 Status new => confirmed
2016-12-08 11:32 user2 Description Updated View Revisions
2016-12-09 14:05 user2 Status confirmed => resolved
2016-12-09 14:05 user2 Fixed in Version => 7.3.0 Beta 1
2016-12-09 14:05 user2 Resolution open => fixed
2016-12-09 14:05 user2 Assigned To => user2
2016-12-22 09:00 user2 Note Added: 0004481
2016-12-22 09:00 user2 Status resolved => feedback
2017-01-16 13:17 user2 Target Version 7.3.0 Beta 1 => 7.3.0
2017-01-16 18:20 user2 Target Version 7.3.0 => 7.3.1 Updates
2017-05-04 10:19 user2 Target Version 7.3.1 Updates => 7.4.0 Beta 1
2017-08-06 20:32 user2 Target Version 7.4.0 Beta 1 => 8.0.0 Beta 1
2017-08-23 08:28 marclaporte Relationship added related to 0001912
2017-08-23 08:55 marclaporte Relationship added related to 0011421
2017-08-23 08:55 marclaporte Relationship added related to 0011431
2018-12-14 12:10 user2 Status feedback => assigned
2018-12-14 12:10 user2 Assigned To user2 => tracker
2019-02-23 20:07 dloper Note Added: 0009991
2019-02-23 20:07 dloper Status assigned => closed
2019-02-23 20:07 dloper Assigned To tracker => dloper